/*---------------------------------------------------------------------------
;	Copyright (C) 2001 CYGNAL INTEGRATED PRODUCTS, INC.
; 	All rights reserved.
;
;
; 	FILE NAME  	: C8051F000.h 
; 	TARGET MCUs	: C8051F000, 'F001, 'F002, 'F010, 'F011, 'F012, 'F005, 'F006, 
;                'F007, 'F015, 'F016 and 'F017
; 	DESCRIPTION	: Register/bit definitions for the C8051Fxxx family.  
;
; 	REVISION 1.9 	
;---------------------------------------------------------------------------*/

/*  BYTE Registers  */
sfr CKCON    =  0x8E;	/* CLOCK CONTROL                                           */
sfr PSCTL    =  0x8F;	/* PROGRAM STORE R/W CONTROL                               */
sfr TMR3CN   =  0x91;	/* TIMER 3 CONTROL                                         */
sfr TMR3RLL  =  0x92;	/* TIMER 3 RELOAD REGISTER - LOW BYTE                      */
sfr TMR3RLH  =  0x93;	/* TIMER 3 RELOAD REGISTER - HIGH BYTE                     */
sfr TMR3L    =  0x94;	/* TIMER 3 - LOW BYTE                                      */
sfr TMR3H    =  0x95;	/* TIMER 3 - HIGH BYTE                                     */
sfr SPI0CFG  =  0x9A;	/* SERIAL PERIPHERAL INTERFACE 0 CONFIGURATION             */
sfr SPI0DAT  =  0x9B;	/* SERIAL PERIPHERAL INTERFACE 0 DATA                      */
sfr SPI0CKR  =  0x9D;	/* SERIAL PERIPHERAL INTERFACE 0 CLOCK RATE CONTROL        */
sfr CPT0CN   =  0x9E;	/* COMPARATOR 0 CONTROL                                    */
sfr CPT1CN   =  0x9F;	/* COMPARATOR 1 CONTROL                                    */
sfr PRT0CF   =  0xA4;	/* PORT 0 CONFIGURATION                                    */
sfr PRT1CF   =  0xA5;	/* PORT 1 CONFIGURATION                                    */
sfr PRT2CF   =  0xA6;	/* PORT 2 CONFIGURATION                                    */
sfr PRT3CF   =  0xA7;	/* PORT 3 CONFIGURATION                                    */
sfr PRT1IF   =  0xAD;	/* PORT 1 EXTERNAL INTERRUPT FLAGS                         */
sfr EMI0CN   =  0xAF;   /* EXTERNAL MEMORY INTERFACE CONTROL                       */
sfr OSCXCN   =  0xB1;	/* EXTERNAL OSCILLATOR CONTROL                             */
sfr OSCICN   =  0xB2;	/* INTERNAL OSCILLATOR CONTROL                             */
sfr FLSCL    =  0xB6;	/* FLASH MEMORY TIMING PRESCALER                           */
sfr FLACL    =  0xB7;	/* FLASH ACESS LIMIT                                       */
sfr AMX0CF   =  0xBA;	/* ADC 0 MUX CONFIGURATION                                 */
sfr AMX0SL   =  0xBB;	/* ADC 0 MUX CHANNEL SELECTION                             */
sfr ADC0CF   =  0xBC;	/* ADC 0 CONFIGURATION                                     */
sfr ADC0L    =  0xBE;	/* ADC 0 DATA - LOW BYTE                                   */
sfr ADC0H    =  0xBF;	/* ADC 0 DATA - HIGH BYTE                                  */
sfr SMB0CN   =  0xC0;	/* SMBUS 0 CONTROL                                         */
sfr SMB0STA  =  0xC1;	/* SMBUS 0 STATUS                                          */
sfr SMB0DAT  =  0xC2;	/* SMBUS 0 DATA                                            */
sfr SMB0ADR  =  0xC3;	/* SMBUS 0 SLAVE ADDRESS                                   */
sfr ADC0GTL  =  0xC4;	/* ADC 0 GREATER-THAN REGISTER - LOW BYTE                  */
sfr ADC0GTH  =  0xC5;	/* ADC 0 GREATER-THAN REGISTER - HIGH BYTE                 */
sfr ADC0LTL  =  0xC6;	/* ADC 0 LESS-THAN REGISTER - LOW BYTE                     */
sfr ADC0LTH  =  0xC7;	/* ADC 0 LESS-THAN REGISTER - HIGH BYTE                    */
sfr T2CON    =  0xC8;	/* TIMER 2 CONTROL                                         */
sfr RCAP2L   =  0xCA;	/* TIMER 2 CAPTURE REGISTER - LOW BYTE                     */
sfr RCAP2H   =  0xCB;	/* TIMER 2 CAPTURE REGISTER - HIGH BYTE                    */
sfr TL2      =  0xCC;	/* TIMER 2 - LOW BYTE                                      */
sfr TH2      =  0xCD;	/* TIMER 2 - HIGH BYTE                                     */
sfr SMB0CR   =  0xCF;	/* SMBUS 0 CLOCK RATE                                      */
sfr REF0CN   =  0xD1;	/* VOLTAGE REFERENCE 0 CONTROL                             */
sfr DAC0L    =  0xD2;	/* DAC 0 REGISTER - LOW BYTE                               */
sfr DAC0H    =  0xD3;	/* DAC 0 REGISTER - HIGH BYTE                              */
sfr DAC0CN   =  0xD4;	/* DAC 0 CONTROL                                           */
sfr DAC1L    =  0xD5;	/* DAC 1 REGISTER - LOW BYTE                               */
sfr DAC1H    =  0xD6;	/* DAC 1 REGISTER - HIGH BYTE                              */
sfr DAC1CN   =  0xD7;	/* DAC 1 CONTROL                                           */
sfr PCA0CN   =  0xD8;	/* PCA 0 COUNTER CONTROL                                   */
sfr PCA0MD   =  0xD9;	/* PCA 0 COUNTER MODE                                      */
sfr PCA0CPM0 =  0xDA;	/* CONTROL REGISTER FOR PCA 0 MODULE 0                     */
sfr PCA0CPM1 =  0xDB;	/* CONTROL REGISTER FOR PCA 0 MODULE 1                     */
sfr PCA0CPM2 =  0xDC;	/* CONTROL REGISTER FOR PCA 0 MODULE 2                     */
sfr PCA0CPM3 =  0xDD;	/* CONTROL REGISTER FOR PCA 0 MODULE 3                     */
sfr PCA0CPM4 =  0xDE;	/* CONTROL REGISTER FOR PCA 0 MODULE 4                     */
sfr XBR0     =  0xE1;	/* DIGITAL CROSSBAR CONFIGURATION REGISTER 0               */
sfr XBR1     =  0xE2;	/* DIGITAL CROSSBAR CONFIGURATION REGISTER 1               */
sfr XBR2     =  0xE3;	/* DIGITAL CROSSBAR CONFIGURATION REGISTER 2               */
sfr EIE1     =  0xE6;	/* EXTERNAL INTERRUPT ENABLE 1                             */
sfr EIE2     =  0xE7;	/* EXTERNAL INTERRUPT ENABLE 2                             */
sfr ADC0CN   =  0xE8;	/* ADC 0 CONTROL                                           */	
sfr PCA0L    =  0xE9;	/* PCA 0 TIMER - LOW BYTE                                  */	
sfr PCA0CPL0 =	0xEA;	   /* CAPTURE/COMPARE REGISTER FOR PCA 0 MODULE 0 - LOW BYTE  */
sfr PCA0CPL1 =	0xEB;	   /* CAPTURE/COMPARE REGISTER FOR PCA 0 MODULE 1 - LOW BYTE  */
sfr PCA0CPL2 =	0xEC;	   /* CAPTURE/COMPARE REGISTER FOR PCA 0 MODULE 2 - LOW BYTE  */
sfr PCA0CPL3 =	0xED;	   /* CAPTURE/COMPARE REGISTER FOR PCA 0 MODULE 3 - LOW BYTE  */
sfr PCA0CPL4 =	0xEE;	   /* CAPTURE/COMPARE REGISTER FOR PCA 0 MODULE 4 - LOW BYTE  */
sfr RSTSRC   =	0xEF;	   /* RESET SOURCE                                            */
sfr EIP1     =	0xF6;	   /* EXTERNAL INTERRUPT PRIORITY REGISTER 1                  */
sfr EIP2     =	0xF7;	   /* EXTERNAL INTERRUPT PRIORITY REGISTER 2                  */
sfr SPI0CN   =	0xF8;	   /* SERIAL PERIPHERAL INTERFACE 0 CONTROL                   */	
sfr PCA0H    =	0xF9;   	/* PCA 0 TIMER - HIGH BYTE                                 */
sfr PCA0CPH0 =	0xFA;   	/* CAPTURE/COMPARE REGISTER FOR PCA 0 MODULE 0 - HIGH BYTE */
sfr PCA0CPH1 =	0xFB;   	/* CAPTURE/COMPARE REGISTER FOR PCA 0 MODULE 1 - HIGH BYTE */
sfr PCA0CPH2 =	0xFC;   	/* CAPTURE/COMPARE REGISTER FOR PCA 0 MODULE 2 - HIGH BYTE */
sfr PCA0CPH3 =	0xFD;   	/* CAPTURE/COMPARE REGISTER FOR PCA 0 MODULE 3 - HIGH BYTE */
sfr PCA0CPH4 =	0xFE;   	/* CAPTURE/COMPARE REGISTER FOR PCA 0 MODULE 4 - HIGH BYTE */	
sfr WDTCN    =	0xFF;   	/* WATCHDOG TIMER CONTROL                                  */
	

/*  BIT Registers  */

/* SMB0CN 0xC0 */
sbit BUSY     =   0xC0 + 7;       /* SMBUS 0 BUSY                    */
sbit ENSMB    =   0xC0 + 6;       /* SMBUS 0 ENABLE                  */
sbit STA      =   0xC0 + 5;       /* SMBUS 0 START FLAG              */
sbit STO      =   0xC0 + 4;       /* SMBUS 0 STOP FLAG               */
sbit SI       =   0xC0 + 3;       /* SMBUS 0 INTERRUPT PENDING FLAG  */
sbit AA       =   0xC0 + 2;       /* SMBUS 0 ASSERT/ACKNOWLEDGE FLAG */
sbit SMBFTE   =   0xC0 + 1;       /* SMBUS 0 FREE TIMER ENABLE       */
sbit SMBTOE   =   0xC0 + 0;       /* SMBUS 0 TIMEOUT ENABLE          */

/*  T2CON  0xC8 */
sbit TF2   = 0xC8 + 7;             /* TIMER 2 OVERFLOW FLAG        */
sbit EXF2  = 0xC8 + 6;             /* EXTERNAL FLAG                */
sbit RCLK  = 0xC8 + 5;             /* RECEIVE CLOCK FLAG           */
sbit TCLK  = 0xC8 + 4;             /* TRANSMIT CLOCK FLAG          */
sbit EXEN2 = 0xC8 + 3;             /* TIMER 2 EXTERNAL ENABLE FLAG */	
sbit TR2   = 0xC8 + 2;             /* TIMER 2 ON/OFF CONTROL       */
sbit CT2   = 0xC8 + 1;             /* TIMER OR COUNTER SELECT      */
sbit CPRL2 = 0xC8 + 0;             /* CAPTURE OR RELOAD SELECT     */

/* PCA0CN D8H */
sbit CF    =   0xD8 + 7;          /* PCA 0 COUNTER OVERFLOW FLAG   */
sbit CR    =   0xD8 + 6;          /* PCA 0 COUNTER RUN CONTROL BIT */
sbit CCF4  =   0xD8 + 4;          /* PCA 0 MODULE 4 INTERRUPT FLAG */
sbit CCF3  =   0xD8 + 3;          /* PCA 0 MODULE 3 INTERRUPT FLAG */
sbit CCF2  =   0xD8 + 2;          /* PCA 0 MODULE 2 INTERRUPT FLAG */
sbit CCF1  =   0xD8 + 1;          /* PCA 0 MODULE 1 INTERRUPT FLAG */
sbit CCF0  =   0xD8 + 0;          /* PCA 0 MODULE 0 INTERRUPT FLAG */

/* ADC0CN E8H */
sbit ADCEN    =   0xE8 + 7;       /* ADC 0 ENABLE                              */
sbit ADCTM    =   0xE8 + 6;       /* ADC 0 TRACK MODE                          */
sbit ADCINT   =   0xE8 + 5;       /* ADC 0 CONVERISION COMPLETE INTERRUPT FLAG */
sbit ADBUSY   =   0xE8 + 4;       /* ADC 0 BUSY FLAG                           */
sbit ADSTM1   =   0xE8 + 3;       /* ADC 0 START OF CONVERSION MODE BIT 1      */
sbit ADSTM0   =   0xE8 + 2;       /* ADC 0 START OF CONVERSION MODE BIT 0      */
sbit ADWINT   =   0xE8 + 1;       /* ADC 0 WINDOW COMPARE INTERRUPT FLAG       */
sbit ADLJST   =   0xE8 + 0;       /* ADC 0 RIGHT JUSTIFY DATA BIT              */

/* SPI0CN F8H */
sbit SPIF     =   0xF8 + 7;       /* SPI 0 INTERRUPT FLAG			*/
sbit WCOL     =   0xF8 + 6;       /* SPI 0 WRITE COLLISION FLAG	*/
sbit MODF     =   0xF8 + 5;       /* SPI 0 MODE FAULT FLAG		*/
sbit RXOVRN   =   0xF8 + 4;       /* SPI 0 RX OVERRUN FLAG		*/
sbit TXBSY    =   0xF8 + 3;       /* SPI 0 TX BUSY FLAG			*/
sbit SLVSEL   =   0xF8 + 2;       /* SPI 0 SLAVE SELECT			*/
sbit MSTEN    =   0xF8 + 1;       /* SPI 0 MASTER ENABLE			*/
sbit SPIEN    =   0xF8 + 0;       /* SPI 0 SPI ENABLE				*/			
