// HC11/CS8900 ethernet IP stack
//
// $Id: ether.h,v 3.0 2002/04/10 11:57:42 tom Exp tom $
//
// Copyright (C) 2000-1 Tom Parker (tom-hc11@wiresncode.com)
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
//
// Author's note: This is free software, for commerical use I would
// appreciate some recognition though.  If you are using this and like
// it send me some email or a postcard.  Code changes for inclusion
// are also welcome.
//
// Tom Parker, PO Box 2165, Fitzroy, VIC, 3065, AUSTRALIA (tom-hc11@wiresncode.com)
//

#ifndef EXTERN
#define EXTERN extern
#endif

#include <string.h>

//
// hc11 specific stuff here
//

#ifdef mc68hc1x
#define ntohs(tom) (tom)
#define htons(tom) (tom)
#define ntohl(tom) (tom)
#define htonl(tom) (tom)
#endif

//
// 8051 specific stuff from here down
//
#ifdef SDCC_mcs51

typedef unsigned char u_int8_t;
typedef unsigned short int u_int16_t;
typedef unsigned long int u_int32_t;

typedef signed char int8_t;
typedef signed short int int16_t;
typedef signed long int int32_t;

#include <8051.h>
#define __BYTE_ORDER __LITTLE_ENDIAN
#define XDATA xdata
#define DATA data
#define CODE code

void bzero(XDATA u_int8_t* s, u_int16_t n);
u_int32_t htonl(u_int32_t hostlong);
u_int16_t htons(u_int16_t hostshort) _naked;
u_int32_t ntohl(u_int32_t netlong);
u_int16_t ntohs(u_int16_t netshort) _naked;
#endif

// includes from linux
#include "linux.h"

#ifndef XDATA
#define XDATA
#endif

#ifndef DATA
#define DATA
#endif

#ifndef CODE
#define CODE
#endif
