// HC11/CS8900 ethernet IP stack
//
// $Id: tcpstruct.h,v 3.0 2002/04/10 11:57:42 tom Exp tom $
//
// Copyright (C) 2000-1 Tom Parker (tom-hc11@wiresncode.com)
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
//
// Author's note: This is free software, for commerical use I would
// appreciate some recognition though.  If you are using this and like
// it send me some email or a postcard.  Code changes for inclusion
// are also welcome.
//
// Tom Parker, PO Box 2165, Fitzroy, VIC, 3065, AUSTRALIA (tom-hc11@wiresncode.com)
//

#ifndef TCPSTRUCT_H
#define TCPSTRUCT_H

//-----------------------------------------------------------------
// Data types
typedef enum
{
   LISTEN,
   SYN_RCVD,
   ESTABLISHED,
   LAST_ACK
} tcpState;

typedef enum
{
   TCP_FLAG_FIN = 1,
   TCP_FLAG_SYN = 2,
   TCP_FLAG_RST = 4,
   TCP_FLAG_PSH = 8,
   TCP_FLAG_ACK = 0x10,
   TCP_FLAG_URG = 0x20
} tcpFlag;


// nb. addresses and ports are network order for simplicity
typedef struct
{
      u_int32_t      farAddr;
      u_int16_t      farPort;
      u_int16_t      ourPort;
      tcpState       state;
      u_int32_t      ourSeq;
      u_int32_t      farSeq;
      u_int8_t       buffer;
} tcpConn;

#endif
