// HC11/CS8900 ethernet IP stack
//
// $Id: timer.c,v 3.0 2002/04/10 11:57:42 tom Exp tom $
//
// Copyright (C) 2000-1 Tom Parker (tom-hc11@wiresncode.com)
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
//
// Author's note: This is free software, for commerical use I would
// appreciate some recognition though.  If you are using this and like
// it send me some email or a postcard.  Code changes for inclusion
// are also welcome.
//
// Tom Parker, PO Box 2165, Fitzroy, VIC, 3065, AUSTRALIA (tom-hc11@wiresncode.com)
//

#include "ether.h"
#include "cpu.h"
#ifdef TCP
#include "tcp.h"
#endif
#include "serial.h"
#include "ip.h"
#include "arp.h"
#include "bootp.h"
#include "timer.h"

//-----------------------------------------------------------------
// Globals

#ifdef NTP
u_int32_t currentTime;
#endif


//-----------------------------------------------------------------
void
timer_init()
{
#ifdef NTP
    currentTime = 0;
#endif
}


//-----------------------------------------------------------------
// per second function 
// CAUTION: this fucntion is called in an ISR, it is carefully tuned
// not to use any register with 8051/sdcc - modify with care

void
timer_per_second()
{
#ifdef NTP
   currentTime++;
#endif
#ifdef TCP
   tcpStartSeq++;
#endif
   
   // timeout for bootp
#ifdef BOOTP
   if (bootpTimeout) bootpTimeout--;
#endif
   
   // decrement timeout for ARP
   if (arpTimeout) arpTimeout--;
}


